<div class="attach-container">
    <div class="example-loading-shade" *ngIf="sendingData">
        <mat-spinner></mat-spinner>
    </div>
    <h1 mat-dialog-title>
        <span style="flex: 1;">
            {{lang.attachmentCreation}}
        </span>
        <button *ngIf="!loading" [title]="lang.close" mat-icon-button (click)="dialogRef.close();">
            <mat-icon class="fa fa-times"></mat-icon>
        </button></h1>
    <mat-dialog-content class="attach-content">
        <div *ngIf="loading" class="loading">
            <mat-spinner style="margin:auto;"></mat-spinner>
        </div>
        <mat-tab-group #pjList style="width: 100%;" [(selectedIndex)]="indexTab" (selectedIndexChange)="updateFile($event)" *ngIf="!loading">
            <mat-tab *ngFor="let attachment of attachments; let i=index" [disabled]="isDocLoading()">
                <ng-template mat-tab-label>
                    <span [class.complete]="isPjValid(i)">{{lang.attachmentShort}} n°{{i+1}}&nbsp;<i *ngIf="isPjValid(i)"
                            class="fa fa-check"></i><button mat-icon-button *ngIf="attachments.length > 1" [disabled]="isDocLoading()" color="warn"
                            [title]="lang.delAttachment" (click)="$event.stopPropagation();removePj(i)">
                            <mat-icon class="fa fa-minus"></mat-icon>
                        </button></span>
                </ng-template>
                <div style="height:100%;overflow: auto;">
                    <div class="attachment-form col-md-3 col-sm-12" *ngIf="!loading">
                        <div class="attachment-form-item">
                            <plugin-select-search [label]="lang.type" [placeholderLabel]="lang.type"
                                [formControlSelect]="attachment['type']" [datas]="attachmentsTypes"
                                (afterSelected)="getAttachType($event, i)" style="width:100%;">
                            </plugin-select-search>
                            <div class="fieldState">
                                <i class="fas fa-asterisk fieldRequired"
                                    *ngIf="attachment['type'].hasError('required') && attachment['type'].untouched"></i>
                                <i class="fas fa-exclamation-triangle fieldError"
                                    *ngIf="attachment['type'].touched && attachment['type'].hasError('required')"></i>
                                <i class="fas fa-check fieldFull"
                                    *ngIf="attachment['type'].valid && !isEmptyField(attachment['type'])"></i>
                            </div>
                        </div>
                        <div class="attachment-form-item">
                            <mat-form-field class="input-form">
                                <input matInput placeholder="{{lang.subject}}" [formControl]="attachment['title']" [maxlength]="'255'"> <!--  EDISSYUM - NCH01 Fix pour éviter un objet de PJ > 255 char -->
                            </mat-form-field>
                            <div class="fieldState">
                                <i class="fas fa-asterisk fieldRequired"
                                    *ngIf="attachment['title'].hasError('required') && attachment['title'].untouched"></i>
                                <i class="fas fa-exclamation-triangle fieldError"
                                    *ngIf="attachment['title'].touched && attachment['title'].hasError('required')"></i>
                                <i class="fas fa-check fieldFull"
                                    *ngIf="attachment['title'].valid && !isEmptyField(attachment['title'])"></i>
                            </div>
                        </div>
                        <div class="attachment-form-item" *ngIf="resourceContacts.length > 1">
                            <plugin-select-search [label]="lang.selectContact"
                                [placeholderLabel]="lang.selectContact" [datas]="resourceContacts"
                                [returnValue]="'object'" [formControlSelect]="selectedContact"
                                (afterSelected)="selectContact($event)" style="width:100%;">
                            </plugin-select-search>
                            <div class="fieldState">
                                <button mat-icon-button color="primary"
                                    [title]="sendMassMode ? lang.disableMailing : lang.enableMailing"
                                    [class.active]="sendMassMode" (click)="toggleSendMass()">
                                    <mat-icon class="fas fa-mail-bulk"></mat-icon>
                                </button>
                                <i class="fas fa-asterisk noMandatory"></i>
                            </div>
                        </div>
                        <div class="attachment-form-item" *ngIf="sendMassMode" style="display: block;">
                            <div class="alert alert-info" role="alert" [innerHTML]="lang.mailingMsg"></div>
                        </div>
                        <div class="attachment-form-item" *ngIf="!sendMassMode">
                            <app-contact-autocomplete *ngIf="!loadingContact" [control]="attachment['recipient']"
                                style="width:100%;" [singleMode]="true"
                                (retrieveDocumentEvent)="appDocumentViewer.saveDocService()">
                            </app-contact-autocomplete>
                            <div class="fieldState">
                                <i class="fas fa-asterisk noMandatory"></i>
                            </div>
                        </div>
                        <div class="attachment-form-item">
                            <mat-form-field class="input-form input-date" (click)="picker.open()"
                                style="cursor:pointer;">
                                <mat-label>{{lang.expectedReturnDate}}</mat-label>
                                <input [formControl]="attachment['validationDate']" matInput [matDatepicker]="picker"
                                    [placeholder]="lang.expectedReturnDate" [min]="now" readonly
                                    style="cursor:pointer;">
                                <mat-datepicker-toggle matSuffix [for]="picker"
                                    *ngIf="!attachment['validationDate'].value">
                                </mat-datepicker-toggle>
                                <mat-datepicker [touchUi]="appService.getViewMode()" #picker></mat-datepicker>
                                <button mat-button color="warn" matSuffix mat-icon-button
                                    *ngIf="attachment['validationDate'].value && !attachment['validationDate'].disabled"
                                    (click)="$event.stopPropagation();attachment['validationDate'].reset();"
                                    [title]="lang.eraseValue">
                                    <mat-icon color="warn" class="fa fa-calendar-times">
                                    </mat-icon>
                                </button>
                            </mat-form-field>
                            <div class="fieldState">
                                <i class="fas fa-asterisk noMandatory"
                                    *ngIf="attachment['validationDate'].valid && isEmptyField(attachment['validationDate'])"></i>
                                <i class="fas fa-check fieldFull"
                                    *ngIf="attachment['validationDate'].valid && !isEmptyField(attachment['validationDate'])"></i>
                            </div>
                        </div>
                    </div>
                    <div class="documentContent col-md-9 col-sm-12">
                        <app-document-viewer #appDocumentViewer style="height:100%;width:100%;position: relative;"
                            [editMode]="true" [mode]="'attachment'" (triggerEvent)="setDatasViewer(i)">
                        </app-document-viewer>
                        <div class="fieldState stateDoc">
                            <i class="fas fa-exclamation-triangle fieldError"
                                *ngIf="attachment['encodedFile'].touched && attachment['encodedFile'].hasError('required')"></i>
                        </div>
                    </div>
                </div>
            </mat-tab>
            <mat-tab disabled class="addPJ">
                <ng-template mat-tab-label>
                    <span><button mat-icon-button [disabled]="sendMassMode || isDocLoading()" [title]="lang.newAttachment"
                            (click)="$event.stopPropagation();newPj()">
                            <mat-icon class="fa fa-plus"></mat-icon>
                        </button></span>
                </ng-template>
            </mat-tab>
        </mat-tab-group>
    </mat-dialog-content>
    <div mat-dialog-actions class="actions">
        <button mat-raised-button color="primary" *ngIf="creationMode && !loading" (click)="onSubmit()"
            [disabled]="canValidatePj()">{{lang.validate}}</button>
        <button mat-raised-button color="primary" *ngIf="sendMassMode && !loading" (click)="onSubmit('mailing')"
            [disabled]="canValidatePj()">{{lang.mailing}}</button>
        <button mat-raised-button mat-button *ngIf="creationMode && !loading" [disabled]="canValidatePj()"
            [mat-dialog-close]="">{{lang.cancel}}</button>
    </div>
</div>
